OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
PointsToScalarOp< GridT, PointDataGridT, FilterT > Struct Template Reference

Compute scalar grid from PointDataGrid while evaluating the point filter. More...

`#include <PointMask.h>`

## Public Types
using | TreeT = typename GridT::TreeType
using | LeafManagerT = typename tree::LeafManager< TreeT >
using | ValueT = typename TreeT::LeafNodeType::ValueType

## Public Member Functions
| PointsToScalarOp (const PointDataGridT &grid, const FilterT &filter)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Detailed Description

### template<typename GridT, typename PointDataGridT, typename FilterT>
struct openvdb::v5_1::points::point_mask_internal::PointsToScalarOp< GridT, PointDataGridT, FilterT >

Compute scalar grid from PointDataGrid while evaluating the point filter.

## Member Typedef Documentation

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<TreeT>

## ◆ TreeT

using TreeT = typename GridT::TreeType

## ◆ ValueT

using ValueT = typename TreeT::LeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ PointsToScalarOp()

PointsToScalarOp | ( | const PointDataGridT & | grid,
|  | const FilterT & | filter
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointMask.h